ESourceComboBox
3
LIBEDATASERVERUI Library

# ESourceComboBox

## Synopsis

                        ESourceComboBox;
    GtkWidget *         e_source_combo_box_new              (ESourceList *source_list);
    ESourceList *       e_source_combo_box_get_source_list  (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_source_list  (ESourceComboBox *source_combo_box,
                                                             ESourceList *source_list);
    ESource *           e_source_combo_box_get_active       (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_active       (ESourceComboBox *source_combo_box,
                                                             ESource *source);
    const gchar *       e_source_combo_box_get_active_uid   (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_active_uid   (ESourceComboBox *source_combo_box,
                                                             const gchar *uid);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----ESourceComboBox

## Implemented Interfaces

ESourceComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "source-list"              ESourceList*          : Read / Write

## Description

## Details

### ESourceComboBox

    typedef struct _ESourceComboBox ESourceComboBox;

### e_source_combo_box_new ()

    GtkWidget *         e_source_combo_box_new              (ESourceList *source_list);

Creates a new ESourceComboBox widget that lets the user pick an ESource from the provided ESourceList.

`source_list` :

  an ESourceList

Returns :

  a new ESourceComboBox

### e_source_combo_box_get_source_list ()

    ESourceList *       e_source_combo_box_get_source_list  (ESourceComboBox *source_combo_box);

Returns the ESourceList which is acting as a data source for `source_combo_box`.

`source_combo_box` :

  an ESourceComboBox

Returns :

  an ESourceList

### e_source_combo_box_set_source_list ()

    void                e_source_combo_box_set_source_list  (ESourceComboBox *source_combo_box,
                                                             ESourceList *source_list);

Sets the source list used by `source_combo_box` to be `source_list`. This causes the contents of `source_combo_box` to be regenerated.

`source_combo_box` :

  an ESourceComboBox

`source_list` :

  an ESourceList

### e_source_combo_box_get_active ()

    ESource *           e_source_combo_box_get_active       (ESourceComboBox *source_combo_box);

Returns the ESource corresponding to the currently active item, or `NULL` if there is no active item.

`source_combo_box` :

  an ESourceComboBox

Returns :

  an ESource or `NULL`

### e_source_combo_box_set_active ()

    void                e_source_combo_box_set_active       (ESourceComboBox *source_combo_box,
                                                             ESource *source);

Sets the active item to the one corresponding to `source`.

`source_combo_box` :

  an ESourceComboBox

`source` :

  an ESource

### e_source_combo_box_get_active_uid ()

    const gchar *       e_source_combo_box_get_active_uid   (ESourceComboBox *source_combo_box);

Returns the unique ID of the ESource corresponding to the currently active item, or `NULL` if there is no active item.

`source_combo_box` :

  an ESourceComboBox

Returns :

  a unique ID string or `NULL`

### e_source_combo_box_set_active_uid ()

    void                e_source_combo_box_set_active_uid   (ESourceComboBox *source_combo_box,
                                                             const gchar *uid);

Sets the active item to the one corresponding to `uid`.

`source_combo_box` :

  an ESourceComboBox

`uid` :

  a unique ID of an ESource

## Property Details

### The `"source-list"` property

      "source-list"              ESourceList*          : Read / Write

List of sources to choose from.